package org.nakedobjects.applib.marker;

/**
 * Marker interface to show that an object cannot be changed once persisted.
 * 
 * Use {@link Immutable} annotation in preference to this marker interface.
 */
public interface ImmutableOncePersisted {

}
// Copyright (c) Naked Objects Group Ltd.
